from Reader import reader, types, status
from Log import LOG
from Gui import GUI

class GuildEmblem():
    def __init__(self):
        self.symbol_shape = reader.readVarUhShort()
        self.symbol_color = reader.readInt()
        self.background_shape = reader.readByte()
        self.background_color = reader.readInt()

class BasicGuildInformations():
    def __init__(self):
        self.id = reader.readVarUhInt()
        self.name = reader.readString()
        self.level = reader.readUnsignedByte()
        return

class GuildInformations(BasicGuildInformations):
    def __init__(self):
        super().__init__()
        self.emblem = GuildEmblem()
